Subject: Re: [PATCH] alternative to sys_indirect, part 1

From: Ulrich Drepper <[email-masked]>
Date: Thu, 24 Apr 2008 08:45:45 -0700

Alan Cox wrote:
> Kernel socket type values are assigned by the kernel team so that
> isn't a problem.

Again, it's not about assigned values.  It about those not yet assigned.

> POSIX has no interface for this new behaviour you propose so that is
> complete crap. The moment you use one of these features you stepped
> outside of the POSIX spec - and you know that. If there was an existing
> standard we wouldn't have a problem.

Oh really?  You open a server socket, use fcntl(FD_CLOEXEC), and then
accept().  This is identical to the new behavior and it is very well
defined in POSIX.  Hence, code which uses fcntl() this way today will
see a change with your proposal.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖